LibreOffice: XAccessibleExtendedComponent Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Member Functions | List of all members
XAccessibleExtendedComponent Interface Reference

The XAccessibleExtendedComponent interface contains additional methods to those of the XAccessibleComponent interface. More...

`import"XAccessibleExtendedComponent.idl";`

Inheritance diagram for XAccessibleExtendedComponent:

## Public Member Functions
::com::sun::star::awt::XFont | getFont ()
| Returns the font of this object. More...
string | getTitledBorderText ()
| Returns the titled border text. More...
string | getToolTipText ()
| Returns the tool tip text of this object. More...
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds. More...
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point. More...
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object. More...
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent. More...
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates. More...
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box. More...
void | grabFocus ()
| Grabs the focus to this object. More...
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object. More...
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

The XAccessibleExtendedComponent interface contains additional methods to those of the XAccessibleComponent interface.

These methods provide information that is used not as often. The division into two interfaces allows classes to support the more frequently used methods of the XAccessibleComponent interface and only support the XAccessibleExtendedComponent interface if that makes sense for the class.

This interface provides extended access to retrieve information concerning the graphical representation of an object. This interface combines methods from the Java interfaces `javax.accessibility.AccessibleComponent` and `javax.accessibility.AccessibleExtendedComponent`.

Since
  OOo 1.1.2

## Member Function Documentation

## § getFont()

::com::sun::star::awt::XFont getFont | ( |  | ) |

Returns the font of this object.

Returns
  The returned reference to a font object is empty if a font is not supported by this object.

## § getTitledBorderText()

string getTitledBorderText | ( |  | ) |

Returns the titled border text.

This method stems from the Java interface `AccessibleExtendedComponent`.

Returns
  The returned value is the titled border text of the object or empty if that is not supported.

## § getToolTipText()

string getToolTipText | ( |  | ) |

Returns the tool tip text of this object.

This method stems from the Java interface `AccessibleExtendedComponent`.

Returns
  Returns the localized tool tip text of the object. If tool tips are not supported and empty string is returned.

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleExtendedComponent.idl